### Function

# Gimp text_layer_set_text

#### Declaration [src]

    gboolean
    gimp_text_layer_set_text (
      GimpLayer* layer,
      const gchar* text
    )

#### Description [src]

Set the text of a text layer.

This procedure changes the text of a text layer.

Available since: | 2.6

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.
`text` | `const gchar*`
| The new text to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.